Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Sven Wegener (swegener)" <swegener@g.o>
Subject: gentoo-x86 commit in app-misc/tmux: tmux-0.4a.ebuild metadata.xml ChangeLog
Date: Mon, 04 Aug 2008 18:36:49 +0000
swegener    08/08/04 18:36:49

  Modified:             tmux-0.4a.ebuild metadata.xml ChangeLog
  Log:
  Update from Tiago: Shorten DESCRIPTION in ebuild, add a longer description to metadata.xml instead. Add missing die to installation commands.
  (Portage version: 2.2_rc6/cvs/Linux 2.6.27-rc1-00504-g2b12a4c x86_64)

Revision  Changes    Path
1.2                  app-misc/tmux/tmux-0.4a.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/tmux/tmux-0.4a.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/tmux/tmux-0.4a.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/tmux/tmux-0.4a.ebuild?r1=1.1&r2=1.2

Index: tmux-0.4a.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/tmux/tmux-0.4a.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- tmux-0.4a.ebuild	30 Jul 2008 18:01:53 -0000	1.1
+++ tmux-0.4a.ebuild	4 Aug 2008 18:36:48 -0000	1.2
@@ -1,10 +1,10 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/tmux/tmux-0.4a.ebuild,v 1.1 2008/07/30 18:01:53 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/tmux/tmux-0.4a.ebuild,v 1.2 2008/08/04 18:36:48 swegener Exp $
 
 inherit toolchain-funcs
 
-DESCRIPTION="Simple, modern, alternative to programs such as GNU screen"
+DESCRIPTION="Terminal multiplexer"
 HOMEPAGE="http://tmux.sourceforge.net"
 SRC_URI="mirror://sourceforge/tmux/${P}.tar.gz"
 
@@ -21,13 +21,13 @@
 }
 
 src_install() {
-	dobin tmux || die "dobin tmux failed"
+	dobin tmux || die "dobin failed"
 
-	dodoc NOTES TODO
+	dodoc NOTES TODO || die "dodoc failed"
 	docinto examples
-	dodoc examples/*.conf
+	dodoc examples/*.conf || die "dodoc examples failed"
 
-	doman tmux.1
+	doman tmux.1 || die "doman failed"
 }
 
 pkg_postinst() {



1.2                  app-misc/tmux/metadata.xml

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/tmux/metadata.xml?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/tmux/metadata.xml?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/tmux/metadata.xml?r1=1.1&r2=1.2

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/tmux/metadata.xml,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- metadata.xml	30 Jul 2008 18:01:53 -0000	1.1
+++ metadata.xml	4 Aug 2008 18:36:48 -0000	1.2
@@ -1,9 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<herd>shell-tools</herd>
-<maintainer>
-	<email>swegener@g.o</email>
-	<description>Proxy maintainer for Tiago Cunha (me@...)</description>
-</maintainer>
+	<herd>shell-tools</herd>
+	<maintainer>
+		<email>swegener@g.o</email>
+		<description>Proxy maintainer for Tiago Cunha (me@...)</description>
+	</maintainer>
+	<longdescription>
+tmux is a "terminal multiplexer", it enables a number of terminals (or windows)
+to be accessed and controlled from a single terminal. tmux is intended to be a
+simple, modern, BSD-licensed alternative to programs such as
+<pkg>app-misc/screen</pkg>.
+	</longdescription>
 </pkgmetadata>



1.2                  app-misc/tmux/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/tmux/ChangeLog?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/tmux/ChangeLog?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/tmux/ChangeLog?r1=1.1&r2=1.2

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/tmux/ChangeLog,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ChangeLog	30 Jul 2008 18:01:53 -0000	1.1
+++ ChangeLog	4 Aug 2008 18:36:48 -0000	1.2
@@ -1,6 +1,11 @@
 # ChangeLog for app-misc/tmux
 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/tmux/ChangeLog,v 1.1 2008/07/30 18:01:53 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/tmux/ChangeLog,v 1.2 2008/08/04 18:36:48 swegener Exp $
+
+  04 Aug 2008; Sven Wegener <swegener@g.o> metadata.xml,
+  tmux-0.4a.ebuild:
+  Update from Tiago: Shorten DESCRIPTION in ebuild, add a longer description
+  to metadata.xml instead. Add missing die to installation commands.
 
 *tmux-0.4a (30 Jul 2008)
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
portage r11327 - in main/trunk: bin pym/_emerge pym/portage
Next by thread:
gentoo-x86 commit in net-irc/irssi-otr: irssi-otr-0.2.ebuild ChangeLog
Previous by date:
portage r11327 - in main/trunk: bin pym/_emerge pym/portage
Next by date:
gentoo-x86 commit in net-irc/irssi-otr: irssi-otr-0.2.ebuild ChangeLog


Updated Apr 27, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.